<bugID>336469<Summary>use new APIs in Vista to register file and protocol handlers (installer)</Summary><Description>Windows Vista provides new APIs that allow applications to register file and protocol types more easily, and with new capabilities that allow the application to describe itself so that the file association UIs can provide meaningful information to the user.

We should be using these new APIs as soon as possible when we detect that the target system is Windows Vista. I'll attach a whitepaper and reference URLs shortly.</Description></bugID>